Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::DistShellPair Class Reference

Distributes shell pairs either statically or dynamically. More...

`#include <distsh.h>`

Collaboration diagram for sc::DistShellPair:

[legend]
List of all members.

## Public Methods
| DistShellPair (const Ref< MessageGrp > &, int nthread, int mythread, const Ref< ThreadLock > &, const Ref< GaussianBasisSet > &)
| ~DistShellPair ()
void | init ()
| Resets to the first shell.
void | set_dynamic (int d)
| Whether or not to use dynamic load balancing.
void | set_debug (int d)
| How much stuff to print out.
void | set_print_percent (int p)
| How often to print status from node 0.
int | get_task (int &P, int &Q)
| Puts the current P>=Q shell pair into P and Q and returns 1. More...

## Detailed Description

Distributes shell pairs either statically or dynamically.

## Member Function Documentation

int sc::DistShellPair::get_task | ( | int & | P,
|  | int & | Q
| ) |

| Puts the current P>=Q shell pair into P and Q and returns 1. When there are no more shell pairs to be processed by this processor, 0 is returned. Once we start doing get_tasks, we have to go to the end if dyanmic load balancing is used.

The documentation for this class was generated from the following file:

- distsh.h